When I use trim or extend commands and have to zoom or pan to select additional objects the command drops selection in previous view and only edits items in current view when executed.
Is there a system variable I can use to change this little time waster?
I've got an animation pretty much done as far as timing goes and everything. Now I'm going back and editing some things that require adding a few layers to add some things to the current layer that already is trimmed appropriately to the correct time.
Any script or something that will create a composition from a layer using the length of the layer's in and out point instead of the whole comp time?
Right now I'm opening the precomp, hitting "i" "b" "o" "n", then right clicking on the comp range bar, choosing trim to comp time. Then I go back to the main comp, move the time back to where the layer previously started and hitting "["
So it all goes by pretty quick, but I consistently have to do that like 20 times. And no, it isn't completely necessary, but if I have to give the file to someone else it makes it Much easier to see what's going on if they can see the actual length of a layer. If you leave it at default it appears the layer is needed for the entire composition.
So, is there a way to script that or something? I usually just need to do something like add some text, simulate a graphic display, or create some fake animated depth of field or something like that. I don't like to add more than one layer per action in the main comp, so if more is needed then i usually precompose it as to not have more than a hundred layers or so for the bulk of the comp.
I would like to get the current AutoCAD View name in .NET.
Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor.GetCurrentView().Name always returns "", even when viewing a View with a name.
I'm working on a couple of models (all using the same "stage" for rendering) and I split the models up into their own separate dwgs but retaining the stage area for each. What I'm having an issue with is rendering the current view in model space. What's happening is that I'll either get an all black (meaning nothing was rendered) or I'll get a rendered piece of the stage where a model once was set up, but not the current view for which I want (where the model is set now). So basically, the rendered view is pointing somewhere else. I'm not setting any of the camera views however to render; I've been using just the current view so I can get exactly what I want. I just need to figure out "how" to get it to render what I'm seeing on screen (consistently) and not something off to the side, or a shot of the wall or floor, or the old location of previous renders, etc. Sometimes switching back to 2D wire frame will fix the problem, but now it's not. I've tried setting the camera view current and that isn't working either. It still renders what was an "old" rendered view--like it's stuck in memory. Closing and re-opening CAD doesn't fix the issue. This is very frustrating. All I'm trying to get is a WYSIWYG rendered view.
I'm having problems getting Inventor to dimension using the current view option on an assembly. I ungrounded the assembly and constrained it to the angled work planes that I needed so I have to use the current view option, but when I try to dimension to the intersection of the angles, it won't give me a dimension.I'm using Inventor 2011.
When calling the Camera.SaveAsBitmap method and specifying a background color, should it reset the background color of the current view? Calling it in 2014 does this.
Also is there a way to apply the camera settings without changing the current view? I want to change the camera settings but just save the images to a file?
Inventor Addins FlowTools for Inventor ilxButton Panel (Buttons for iLogic Rules)
I love annotative scaling of objects it is a great feature. I am however having one problem that I'm not sure if I've missed a setting or something. Is there a way to prevent civil 3d from scaling your annotative objects based on the view scale you are looking at? For example if I zoom out (in model space or max viewport) to show my entire drawing and regen, civil 3d scales all my text and blocks to an enomous scale esentially blocking my entire drawing with solid colour. also if I zoom into a small area to do some detail work all my text becomes microscopic and unuseable. This makes adjusting text so it doesn;t overlap other text very difficult if it never appears at the correct size. Is there a way to freeze annotative objects at thier correct scale (for the current viewport scale) so they dont scale simply because you zoom in or out on a drawing?
I am trying to export part of a structural model to IFC but Revit is exporting the complete model. My file is from a consultant and is created in Revit Structure 2011, I am opening it with Revit 2012. The model contains ‘new’ and ‘existing’ phases which appear to be set up correctly.
I have tried a couple of different methods set up a 3D view and defined it by phase 'new only' so the existing is hidden, and tried to export with the “current view only” checked and uncheckedset up a 3D view and defined it by workset using visibility graphics, and again with the “current view only” checked and uncheckedEach time when I open the Model in Navisworks or Solibri everything is visible.Have tried this in both Struct and Arch with the same result, but I do not have the same issue if I open and export from Revit 2011 (arch) ?
I'm trying to import one Revit file into another. When I try to link the file I get a dialogue box that says:
"The import geometry will not be visible in the view using current settings. The Oringin of the import will be centered on the origin of the model instead. You can view the import in any view where its geometry is within the extents."
For this it sounds like the imported model is way off to the side or way up high or low but even in a view that I increase the extents to maximum i can't see the object.
I've tried "center to centre" and "origin to origin". I've check in the visual graphic and can't see anything turned off.
The file i am imported ia a structural model export from Tekla that I imported into a Revit and cleaned up. Everything looks fine when i open the file on it's own.
Is there a macro/script/deisel that will automatically print a pdf (cute pdf autocad lt 2007) to current plot settings in current drawing directory and give it the current drawing view name and number? Disk space not a problem these days and would save time to have a pdf copy of all drawing tabs readily stored in the directory ready for issue.
Technique that can check the current plotter name for the current tab and assign it to a variable? i.e. can it be assigned to a variable to check if if equals "myplotter1". The next step - is there a technique to change the plotter name to "myplotter2.pc3".
I have partially done the latter part of this in the past using the -plot command line to ASSIGN a new plotter but I would really like to only run the routine if it really needs to.
I have 1 Next button that is used on the timeline. Each position has a pause then a play so there is only 1 button. I need to get the label info so I know where I am so I can save the location of the timeline that the user was at if they exited before they finished the process.
Here I enclose file Cam_Profile.ipt, this is a spline curve made from an Excel matrix with 670 points in 3 decimals accuracy (VBA editor) Extruding is not possible because of self intersecting path.
I want to trim both two free ends from the intersection and also close the intersection for extruding this profile. However ....., without displacement of any current point in the perimeter of the closed spline!
I drew 2 circles with ttr command (1 and 2). The problem is when I try to trim them to remove the part I don't need, it doesn't work cause the circles 1 and 2 aren't stick with the borders as they should. At the 4 red circle points, if you zoom you'll notice they don't stick the border, never faced this problem before (usually I cut the part I don't need without problem). I've done regen/all but doesn't seem to fix that problem.
The yellowcurve is created by progect geometry of red circle on a solid(I delete solid after that).and there are some lines on circle and parallel to projection vector. now I,m going to trim or extend these lines by yellow curve. trim and extend don,t work and there is no intersection point between blue lines and yellow cure . What should I do?
Whenever I try to trim two intersection arcs who have the same bending direction and similar radius, casue it is extremely hard to click on the parts that need to be trimmed off. See attached pic for reference.
I am using script to create my drawings. I am facing one problem in trim option. I'll explain the scenario..
i created one profile in one layer and then i freezed it. then i created another layer and creating another sketch and performing trim option, while that time it trims based on the sketch in the freezed layer. I dont know how to solve it... I have attached the script of it..
I moved to a new PC the other day and have not been able to extend or trim to a line that is not connected. I figured it would be an apparent intersection but maybe I haven't got my settings right as it's not working. I am having to drag the lines right now and it's not very accurate!
How can I trim entities in an array? I can make the array just fine, but I don't know why it won't let me trim them. I suppose it's trying to keep references to the array and the original entity that the array is based off of, but at this point I don't wish to keep that information.
9 times our of 10, I can't trim away the overlap on a pair of circles.. as every now and then the trim suddenly decides it will work!
Trim_Issue.jpg
I just can't work out why these pesky circles refuse to trim! I'm trying to merge them into one 'cloud' like shape, by removing the overlapping section from each circle.